Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hornetq.spi.core.remoting
Interface Acceptor

All Superinterfaces:
  org.hornetq.core.server.HornetQComponent

    public interface Acceptor

extends org.hornetq.core.server.HornetQComponent

An Acceptor is used by the Remoting Service to allow clients to connect. It should take care of dispatching client requests to the Remoting Service's Dispatcher.

Author:
  Andy Taylor, Tim Fox

Method Summary
`org.hornetq.core.server.cluster.ClusterConnection` | `getClusterConnection()`
`Map<String,Object>` | `getConfiguration()`
`boolean` | `isUnsecurable()`
`void` | `pause()` Pause the acceptor and stop it from receiving client requests.
`void` | `setDefaultHornetQPrincipal(org.hornetq.core.security.HornetQPrincipal defaultHornetQPrincipal)`
`void` | `setNotificationService(org.hornetq.core.server.management.NotificationService notificationService)` Set the notification service for this acceptor to use.

Methods inherited from interface org.hornetq.core.server.HornetQComponent
`isStarted, start, stop`

Method Detail

### pause

    void pause()

  Pause the acceptor and stop it from receiving client requests.

### getClusterConnection

    org.hornetq.core.server.cluster.ClusterConnection getClusterConnection()

  Returns:
    the cluster connection associated with this Acceptor

### getConfiguration

    Map<String,Object> getConfiguration()

### setNotificationService

    void setNotificationService(org.hornetq.core.server.management.NotificationService notificationService)

  Set the notification service for this acceptor to use.

  Parameters:
    `notificationService` - the notification service

### setDefaultHornetQPrincipal

    void setDefaultHornetQPrincipal(org.hornetq.core.security.HornetQPrincipal defaultHornetQPrincipal)

### isUnsecurable

    boolean isUnsecurable()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Red Hat Inc. All Rights Reserved.